Panda3D

Loading...
Searching...
No Matches
Classes | Functions | Variables
direct.distributed.DistributedObjectUD Namespace Reference

## Classes
class | DistributedObjectUD

## Functions
| addInterest (self, zoneId, note="", event=None)
| announceGenerate (self)
| b_setLocation (self, parentId, zoneId)
| beginBarrier (self, name, avIds, timeout, callback)
| d_setLocation (self, parentId, zoneId)
| execCommand (self, string, mwMgrId, avId, zoneId)
| generate (self)
| generateInit (self, repository=None)
| generateOtpObject (self, parentId, zoneId, optionalFields=[], doId=None)
| generateTargetChannel (self, repository)
| generateWithRequired (self, zoneId, optionalFields=[])
| generateWithRequiredAndId (self, doId, parentId, zoneId, optionalFields=[])
| GetAccountConnectionChannel (self, doId)
| GetAccountIDFromChannelCode (self, channel)
| GetAvatarIDFromChannelCode (self, channel)
| getCollTrav (self, *args, **kArgs)
| getDoId (self)
| getLocation (self)
| getLogicalZoneChangeEvent (self)
| getNonCollidableParent (self)
| getParentMgr (self)
| GetPuppetConnectionChannel (self, doId)
| getRender (self)
| getZoneChangeEvent (self)
| handleLogicalZoneChange (self, newZoneId, oldZoneId)
| ignoreBarrier (self, context)
| initFromServerResponse (self, valDict)
| isDeleted (self)
| isGenerated (self)
| isGridParent (self)
| postGenerateMessage (self)
| preAllocateDoId (self)
| requestDelete (self)
| sendGenerateWithRequired (self, repository, parentId, zoneId, optionalFields=[])
| sendSetZone (self, zoneId)
| sendUpdate (self, fieldName, args=[])
| sendUpdateToAccountId (self, accountId, fieldName, args)
| sendUpdateToAvatarId (self, avId, fieldName, args)
| sendUpdateToChannel (self, channelId, fieldName, args)
| setBarrierReady (self, context)
| setLocation (self, parentId, zoneId)
| taskName (self, taskString)
| uniqueName (self, idString)
| updateAllRequiredFields (self, dclass, di)
| updateAllRequiredOtherFields (self, dclass, di)
| updateRequiredFields (self, dclass, di)
| updateRequiredOtherFields (self, dclass, di)
| validate (self, avId, bool, msg)

## Variables
bool | _DOUD_requestedDelete = True
| air = None
| doId = self.air.allocateChannel()
int | parentId = 0xffffffff:
| if not hasattr(self, "doNotDeallocateChannel"): if self.air: self.air.deallocateChannel(self.doId) self.air = None
| zoneId

## Detailed Description

    DistributedObjectUD module: contains the DistributedObjectUD class

## Function Documentation

## ◆ addInterest()

addInterest | ( |  | self,
|  |  | zoneId,
|  |  | note = "",
|  |  | event = None )

## ◆ announceGenerate()

announceGenerate | ( |  | self | ) |

    Called after the object has been generated and all
    of its required fields filled in. Overwrite when needed.

## ◆ b_setLocation()

b_setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId )

## ◆ beginBarrier()

beginBarrier | ( |  | self,
|  |  | name,
|  |  | avIds,
|  |  | timeout,
|  |  | callback )

## ◆ d_setLocation()

d_setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId )

## ◆ execCommand()

execCommand | ( |  | self,
|  |  | string,
|  |  | mwMgrId,
|  |  | avId,
|  |  | zoneId )

## ◆ generate()

generate | ( |  | self | ) |

    Inheritors should put functions that require self.zoneId or
    other networked info in this function.

## ◆ generateInit()

generateInit | ( |  | self,
|  |  | repository = None )

    First generate (not from cache).

## ◆ generateOtpObject()

generateOtpObject | ( |  | self,
|  |  | parentId,
|  |  | zoneId,
|  |  | optionalFields = [],
|  |  | doId = None )

## ◆ generateTargetChannel()

generateTargetChannel | ( |  | self,
|  |  | repository )

    Who to send this to for generate messages

## ◆ generateWithRequired()

generateWithRequired | ( |  | self,
|  |  | zoneId,
|  |  | optionalFields = [] )

## ◆ generateWithRequiredAndId()

generateWithRequiredAndId | ( |  | self,
|  |  | doId,
|  |  | parentId,
|  |  | zoneId,
|  |  | optionalFields = [] )

## ◆ GetAccountConnectionChannel()

GetAccountConnectionChannel | ( |  | self,
|  |  | doId )

## ◆ GetAccountIDFromChannelCode()

GetAccountIDFromChannelCode | ( |  | self,
|  |  | channel )

## ◆ GetAvatarIDFromChannelCode()

GetAvatarIDFromChannelCode | ( |  | self,
|  |  | channel )

## ◆ getCollTrav()

getCollTrav | ( |  | self,
|  | * | args,
|  | ** | kArgs )

## ◆ getDoId()

getDoId | ( |  | self | ) |

    Return the distributed object id

## ◆ getLocation()

getLocation | ( |  | self | ) |

## ◆ getLogicalZoneChangeEvent()

getLogicalZoneChangeEvent | ( |  | self | ) |

## ◆ getNonCollidableParent()

getNonCollidableParent | ( |  | self | ) |

## ◆ getParentMgr()

getParentMgr | ( |  | self | ) |

## ◆ GetPuppetConnectionChannel()

GetPuppetConnectionChannel | ( |  | self,
|  |  | doId )

## ◆ getRender()

getRender | ( |  | self | ) |

## ◆ getZoneChangeEvent()

getZoneChangeEvent | ( |  | self | ) |

## ◆ handleLogicalZoneChange()

handleLogicalZoneChange | ( |  | self,
|  |  | newZoneId,
|  |  | oldZoneId )

    this function gets called as if we never go through the
    quiet zone. Note that it is called once you reach the newZone,
    and not at the time that you leave the oldZone.

## ◆ ignoreBarrier()

ignoreBarrier | ( |  | self,
|  |  | context )

## ◆ initFromServerResponse()

initFromServerResponse | ( |  | self,
|  |  | valDict )

## ◆ isDeleted()

isDeleted | ( |  | self | ) |

    Returns true if the object has been deleted,
    or if it is brand new and hasnt yet been generated.

## ◆ isGenerated()

isGenerated | ( |  | self | ) |

    Returns true if the object has been generated

## ◆ isGridParent()

isGridParent | ( |  | self | ) |

## ◆ postGenerateMessage()

postGenerateMessage | ( |  | self | ) |

## ◆ preAllocateDoId()

preAllocateDoId | ( |  | self | ) |

    objects that need to have a doId before they are generated
    can call this to pre-allocate a doId for the object

## ◆ requestDelete()

requestDelete | ( |  | self | ) |

## ◆ sendGenerateWithRequired()

sendGenerateWithRequired | ( |  | self,
|  |  | repository,
|  |  | parentId,
|  |  | zoneId,
|  |  | optionalFields = [] )

## ◆ sendSetZone()

sendSetZone | ( |  | self,
|  |  | zoneId )

## ◆ sendUpdate()

sendUpdate | ( |  | self,
|  |  | fieldName,
|  |  | args = [] )

## ◆ sendUpdateToAccountId()

sendUpdateToAccountId | ( |  | self,
|  |  | accountId,
|  |  | fieldName,
|  |  | args )

## ◆ sendUpdateToAvatarId()

sendUpdateToAvatarId | ( |  | self,
|  |  | avId,
|  |  | fieldName,
|  |  | args )

## ◆ sendUpdateToChannel()

sendUpdateToChannel | ( |  | self,
|  |  | channelId,
|  |  | fieldName,
|  |  | args )

## ◆ setBarrierReady()

setBarrierReady | ( |  | self,
|  |  | context )

## ◆ setLocation()

setLocation | ( |  | self,
|  |  | parentId,
|  |  | zoneId )

## ◆ taskName()

taskName | ( |  | self,
|  |  | taskString )

## ◆ uniqueName()

uniqueName | ( |  | self,
|  |  | idString )

## ◆ updateAllRequiredFields()

updateAllRequiredFields | ( |  | self,
|  |  | dclass,
|  |  | di )

## ◆ updateAllRequiredOtherFields()

updateAllRequiredOtherFields | ( |  | self,
|  |  | dclass,
|  |  | di )

## ◆ updateRequiredFields()

updateRequiredFields | ( |  | self,
|  |  | dclass,
|  |  | di )

## ◆ updateRequiredOtherFields()

updateRequiredOtherFields | ( |  | self,
|  |  | dclass,
|  |  | di )

## ◆ validate()

validate | ( |  | self,
|  |  | avId,
|  |  | bool,
|  |  | msg )

## Variable Documentation

## ◆ _DOUD_requestedDelete

bool _DOUD_requestedDelete = True
| protected

## ◆ air

air = None

## ◆ doId

doId = self.air.allocateChannel()

## ◆ parentId

parentId = 0xffffffff:

if not hasattr(self, "doNotDeallocateChannel"): if self.air: self.air.deallocateChannel(self.doId) self.air = None

## ◆ zoneId

zoneId